@import "reset";

$navbar-default-bg: #49BDFF;
$navbar-default-link-color: #fff;
@import "bootstrap";
@import "rich-TreeNode";
@import "gzl-fa-icons";

$modal-xl: 1300px !default;

@media (min-width: $screen-lg-min) {
  .modal-xl {
    width: $modal-xl;
  }
}

a:hover, a:focus {
  text-decoration: none;
}

.gzl-break-long-word {
  word-wrap: break-word;
  word-break: break-all;
}

.rf-dt {
  @extend .table;
  @extend .table-striped;
  @extend .table-hover;
  word-wrap: break-word;
}

/*never wrap table header*/
.rf-dt-shdr-c {
  white-space: nowrap;
  font-weight: bold;
}

.table > thead > tr > th, .rf-dt > thead > tr > th {
  vertical-align: top;
  text-align: left;
}

.gzl-menu-image {
  margin-right: 10px;
}

body > #gzl-container {
  padding: 0 15px 60px;
}

.gzl-filter-checkboxes label {
  padding-right: 12px;
  padding-left: 2px;
}

.panel-title form {
  margin: 0;
}

.gzl-filter-panel .form-group {
  margin-bottom: 3px;
}

.form-inline .form-group, .form-inline .checkbox {
  margin: 0.5em 1em;
}

.navbar {
  margin-bottom: 0;
}

.navbar-brand {
  height: auto;
  padding: 5px 0 5px;
  margin: 0 0 0 15px;
}

.navbar-brand span {
  margin-left: 10px;
}

.navbar-right {
  margin: 0;
}

.navbar-header {
  float: none;
  border-bottom: 1px solid #7C8DC5;
}

.gzl-right-logo {
  margin-right: 15px;
  float: right;
}

@import "_gzl-sidebar";

.scrollup {
  z-index: 1040;
  padding: 4px;
  position: fixed;
  bottom: 0;
  right: 10%;
  text-decoration: none;
  background-color: #f5f5f5;
}

.scrollup:after, .scrollup:before {
  bottom: 100%;
  left: 50%;
  border: solid transparent;
  content: " ";
  height: 0;
  width: 0;
  position: absolute;
  pointer-events: none;
}

.scrollup:after {
  border-color: rgba(136, 183, 213, 0);
  border-bottom-color: #f5f5f5;
  border-width: 20px;
  margin-left: -20px;
}

.scrollup:before {
  border-color: rgba(194, 225, 245, 0);
  border-bottom-color: #ddd;
  border-width: 21px;
  margin-left: -21px;
}

footer {
  z-index: 1000;
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 30px;
  background-color: #f5f5f5;
  border-top: 1px solid #ddd;
}

footer .nav > li {
  white-space: nowrap;
}

footer .nav > li > a {
  padding: 6px 15px;
}

.gzl-form-control {
  display: inline-block;
}

.gzl-inline-form-control {
  @extend .form-control;
  display: inline-block;
  padding: 0;
}

.dl-horizontal dt {
  text-align: left;
}

.dl-horizontal dd {
  word-wrap: break-word;
}

.gzl-dataScrollerPages {
  width: auto;
}

.gzl-never-wrap {
  white-space: nowrap;
}

.panel-footer input {
  margin-right: 10px;
}

.gzl-text-centered {
  text-align: center;
}

@import "gzl-buttons";

.gzl-text-blue {
  @extend .text-info;
}

.gzl-text-red {
  @extend .text-danger;
}

.gzl-text-orange {
  @extend .text-warning;
}

.gzl-text-green {
  @extend .text-success;
}

.gzl-alert-red {
  @extend .alert-danger;
}

.gzl-alert-orange {
  @extend .alert-warning;
}

.gzl-alert-blue {
  @extend .alert-info;
}

.gzl-alert-green {
  @extend .alert-success;
}

.gzl-alert {
  display: block;
  @extend .alert;
}

.gzl-label {
  @extend .label;
  font-size: 90%;
  text-shadow: 1px 1px 0px rgba(90, 90, 90, 0.5);
}

.gzl-label-green {
  @extend .label-success;
}

.gzl-label-red {
  @extend .label-danger;
}

.gzl-label-orange {
  @extend .label-warning;
}

.gzl-label-yellow {
  background-color: #dddd00;
}

.gzl-label-blue {
  @extend .label-info;
}

.gzl-label-default {
  @extend .gzl-label;
  color: black;
  text-shadow: initial;
}

.gzl-label-grey {
  @extend .label-default;
}

dd.gzl-dd-label {
  margin-top: 0.1em;
  margin-bottom: 0.3em;
}

@import "rich-FileUpload";
@import "gzl-report";
@import "rich-AutoComplete";

@import "rich-calendar";
@import "rich-inplaceInput";
@import "rich-pickList";

.gzl-isResizableVertical {
  resize: vertical;
}

.selectedNodeStyle {
  font-weight: bold;
}

.filterSingleValue {
  vertical-align: middle;
}

.form-inline .gzl-filter-control {
  display: inline-block;
}

.gzl-inline-table {
  width: 80%;
  display: inline;
}

div.modal-body {
  @media (min-width: 480px) {
    overflow-y: auto;
    max-height: 300px;
  }
  @media (min-width: 768px) {
    overflow-y: auto;
    max-height: 600px;
  }
  @media (min-width: 1080px) {
    overflow-y: auto;
    max-height: 800px;
  }
}

div.tab-content-with-border {
  padding: 1em;
  border: 1px solid $nav-tabs-border-color;
  border-top: none;
  border-bottom-left-radius: $border-radius-base;
  border-bottom-right-radius: $border-radius-base;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
}

.tab-content {
  padding-top: 10px;
}

.comment-meta {
  @extend .text-muted;
  float: right;
  font-size: $font-size-small;
}

.comment-item {
  border-bottom: solid 1px rgb(242, 242, 242);
  overflow: hidden;
  word-wrap: break-word;
}

.monitorPanelStyle {
  height: inherit;
}

.bg-primary a {

  color: $panel-primary-text;

  &:focus,
  &:hover {
    color: $link-hover-color;
  }
}

#graph_container svg {
  max-width: 100%;
}

.test-status-color-1 {
  @extend .panel-success;
}

.test-status-color-2 {
  @extend .panel-danger;
}

.test-status-color-3 {
  @extend .panel-danger;
  background-color: #FFCCCC;
}

.test-status-color-4 {
  @extend .panel-warning;
}

.test-status-color-5, .test-status-color-6, .test-status-color-7, .test-status-color-8 {
  @extend .panel-danger;
  background-color: #E0E0E0;
}

.test-status-color- {
  @extend .panel-default;
  background-color: #FFFFFF;
}

.strong-border-grey {
  border-bottom: 2px solid rgba(0, 0, 0, 0.22);
}

.cat-aipo-row {
  border-top: 2px solid rgba(0, 0, 0, 0.40);
  background-color: rgba(197, 197, 243, 0.72) !important;
}

.gzl-field-message{
  margin-left: 10px;
}

.row-grey {
  background-color: #bbbbbb !important;
}

tr.gzl-error-row {
  background: #FFCCCC !important;
}

tr.gzl-warn-row {
  background: #FFDEA6 !important;
}

.dt-long-label{
  font-weight: bold;
  width: 20% !important;
}

.gzl-select-modal-overflow-visible {
  overflow: visible !important;
}

.PASSED, .passed, .Passed{
  @extend .gzl-label, .gzl-label-green;
  text-transform: uppercase;
}

.FAILED, .failed, .Failed{
  @extend .gzl-label,  .gzl-label-red;
  text-transform: uppercase;
}

.WARNING, .warning, .Warning, .ABORTED, .Aborted, .aborted{
  @extend .gzl-label,  .gzl-label-orange;
  text-transform: uppercase;
}

.SKIPPED, .skipped, .Skipped, .INFO, .Info, .info{
  @extend .gzl-label, .gzl-label-blue;
  text-transform: uppercase;
}

.UNKNOWN, .unknown, .Unknown {
  @extend .gzl-label, .gzl-label-default;
  text-transform: uppercase;
}
